## Miscellaneous Functions Miscellaneous Functions |

## Functions

void | mate_desktop_prepend_terminal_to_vector ()

## Includes

    #include <mate-desktop-utils.h>

## Description

## Functions

### mate_desktop_prepend_terminal_to_vector ()

    void
    mate_desktop_prepend_terminal_to_vector
                                   (int *argc,
                                    char ***argv);

Prepends a terminal (either the one configured as default in the user's MATE setup, or one of the common xterm emulators) to the passed in vector, modifying it in the process. The vector should be allocated with g_malloc, as this will g_free the original vector. Also all elements must have been allocated separately. That is the standard glib/MATE way of doing vectors however. If the integer that `argc` points to is negative, the size will first be computed. Also note that passing in pointers to a vector that is empty, will just create a new vector for you.

#### Parameters

argc | a pointer to the vector size |
argv | a pointer to the vector |